# Method GL.glClearDepth()

Method glClearDepth

  `void glClearDepth(float depth)`

Description

  glClearDepth specifies the depth value used by glClear to clear the depth buffer. Values specified by glClearDepth are clamped to the range [0,1].

Parameter `depth`

  Specifies the depth value used when the depth buffer is cleared. The initial value is 1.

Throws

  GL_INVALID_OPERATION is generated if glClearDepth is executed between the execution of glBegin and the corresponding execution of glEnd.